Tra cứu sổ lệnh điều kiện phái sinh
curl --request GET \
--url https://openapi.tcbs.com.vn/khronos/v1/order/condition/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/khronos/v1/order/condition/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/khronos/v1/order/condition/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cmd": "Web.Order.ConditionOrder",
"rc": "1",
"data": [
{
"orderNo": "1",
"groupOrder": "463502",
"pk_orderNo": "463504",
"accountCode": "000112A",
"side": "B",
"symbol": "VN30F2303",
"showPrice": 1190.5,
"volume": 2,
"soPrice": 1190.5,
"orderType": "SL",
"from_time": "29/04/2021",
"exp_time": "29/04/2021",
"status": "0",
"send_time": "14:01:01",
"notes": "SL/TP"
}
]
}Lệnh phái sinh
Tra cứu sổ lệnh điều kiện phái sinh
Tra cứu sổ lệnh điều kiện phái sinh.
GET
/
khronos
/
v1
/
order
/
condition
/
detail
Tra cứu sổ lệnh điều kiện phái sinh
Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số truy vấn
Số tài khoản lưu ký.
Phái sinh Số tiểu khoản.
Số trang.
Kích thước trang.
0 = all, 1 = waiting, 2 = activated, 3 = rejected. Bộ lọc trạng thái lệnh phái sinh: 0 = tất cả, 1 = chờ khớp/chờ kích hoạt, 2 = đã khớp/đã kích hoạt, 3 = từ chối.
Tùy chọn có sẵn:
0, 1, 2, 3 '' = all, 3 = Arbitrage, 4 = SL/TP, 5 = Stop order. " = tất cả, 3 = Arbitrage, 4 = SL/TP, 5 = Stop order.
Tùy chọn có sẵn:
, 3, 4, 5 Bộ lọc: ALL,ALL = all; VN30F2303,B = by mã.